Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.misc
Class ByteStore

    java.lang.Object
      com.knowgate.misc.ByteStore

All Implemented Interfaces:
  java.io.Serializable

    public class ByteStore

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ByteStore(byte[] b, java.lang.String sContentType)`

Method Summary
`static ByteStore` | `getBinaryFromIS(java.io.InputStream in, int nr_bytes_to_read, java.lang.String sContentType)` Create a ByteStore out of an InputStream
`byte[]` | `getBytes()`
`java.lang.String` | `getContentEncoding()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`int` | `getSize()`
`void` | `setContentEncoding(java.lang.String s)`
`void` | `setContentType(java.lang.String s)`
`void` | `setDescription(java.lang.String s)`
`void` | `setName(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteStore

    public ByteStore(byte[] b,
                     java.lang.String sContentType)

Method Detail

### setDescription

    public void setDescription(java.lang.String s)

### getDescription

    public java.lang.String getDescription()

### setContentType

    public void setContentType(java.lang.String s)

### getContentType

    public java.lang.String getContentType()

### setContentEncoding

    public void setContentEncoding(java.lang.String s)

### getContentEncoding

    public java.lang.String getContentEncoding()

### getBytes

    public byte[] getBytes()

### setName

    public void setName(java.lang.String s)

### getName

    public java.lang.String getName()

### getSize

    public int getSize()

### getBinaryFromIS

    public static ByteStore getBinaryFromIS(java.io.InputStream in,
                                            int nr_bytes_to_read,
                                            java.lang.String sContentType)

  Create a ByteStore out of an InputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD